Точечные обновления пакетов из p7 на p6

Материал из ALT Linux Wiki
Перейти к: навигация, поиск
Примечание: Осторожно, это опасно: состояние системы после точечного обновления Вами какого-то пакета скорее всего никем больше не проверялось на работоспособность, поэтому Вы сильно рискуете столкнуться с неизвестной проблемой, если так делаете.


Препятствием к лёгкому точечному обновлению отдельных пакетов в системе на основе p6 до версии из p7 может быть:

Приблизительный рецепт, как обойти это препятствие и совершить точечное обновление, описан в altbug #29152 (в свежем релизе libgmp в p7 это должно быть исправлено; информация оставлена для тех, кто столкнётся с аналогичной проблемой с другим пакетом): поставьте/обновите нужные пакеты сначала из p6, потом добавьте libgmp10 из p7:

rpm -ihv libgmp10-5.1.2-alt1.i586.rpm
echo 'RPM::Allow-Duplicated { "^libgmp$"; };' > /etc/apt/apt.conf.d/libgmp-compat.conf

и попробуйте обновить нужные пакеты из p7.

Мне удалось так поставить новые ghc, pandoc. Возможно, достаточно добавить такой /etc/apt/apt.conf.d/libgmp-compat.conf и выполнить apt-get install libgmp10, чтобы его зависимости автоматически поставились APT, но я так не пробовал, а делал через rpm -i; кажется, у libgmp10 на самом деле нет никаких новых особых зависимостей, которые было бы удобно удовлетворить с помощью APT. Возможно, если они есть (вроде glibc), что я их просто предварительно обновил из p7 с помощью APT, поэтому не заметил возможной сложности с ними.